#!/bin/bash

if [ "$#" -ne 4 ]; then
  echo "Usage: $0 <filename> <new_bg> <new_fg> <new_shadow>"
  echo ""
  echo "Example: $0 wall.svg 073642 B58900 586E75"
  exit 1
fi

filename=$1
new_bg=$2
new_fg=$3
new_shadow=$4

sed -i "s/#222222/#$new_bg/g" "$filename"
sed -i "s/#444444/#$new_fg/g" "$filename"
sed -i "s/#262626/#$new_shadow/g" "$filename"

echo "Colors replaced in $filename: bg=$new_bg, fg=$new_fg, shadow=$new_shadow"
